class Gem::Command 

  self.send :remove_const, :HELP

  HELP = <<-HELP
RubyGems is a sophisticated package manager for Ruby.  This is a
basic help message containing pointers to more information.

  Usage:
    obtain -h/--help
    obtain -v/--version
    obtain command [arguments...] [options...]

  Examples:
    obtain install rake
    obtain list --local
    obtain build package.gemspec
    obtain help install

  Further help:
    obtain help commands            list all 'gem' commands
    obtain help examples            show some examples of usage
    obtain help platforms           show information about platforms
    obtain help <COMMAND>           show help on COMMAND
                                   (e.g. 'gem help install')
    obtain server                   present a web page at
                                 http://localhost:8808/
                                 with info about installed gems
  Further information:
    http://rubygems.rubyforge.org
  HELP
end
