class Gem::SpecFetcher
  
  alias _find_matching_with_errors find_matching_with_errors
  
  def find_matching_with_errors(*args)
    
    specs_and_sources, errors = _find_matching_with_errors(*args)

    emx     = []
    out     = []
    gemserv = /equitymetrix/

    specs_and_sources.each do |spec, uri_str|
      emx << spec.first if spec.first && uri_str =~ gemserv
    end

    out = specs_and_sources.select do |spec, uri_str|
      uri_str =~ gemserv || !emx.include?(spec.first)
    end

    [ out, errors ]
  end

end
